/*******************************************************************************
 * Copyright (c) 2005, 2014 springside.github.io
 * <p>
 * Licensed under the Apache License, Version 2.0 (the "License");
 *******************************************************************************/
package com.yihu.wlyy.repository.consult;

import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import com.yihu.wlyy.entity.consult.ConsultTeamLog;

import java.util.List;

public interface ConsultTeamLogDao extends PagingAndSortingRepository<ConsultTeamLog, Long>, JpaSpecificationExecutor<ConsultTeamLog> {

    int countByConsult(String consult);

    @Query(" from ConsultTeamLog a where a.consult = ?1 ")
    List<ConsultTeamLog> getConsultLogByConsultLog(String consultCode);
}
